<?php
/**
 *
 * @package Legacy
 * @version $Id: install_createDB.inc.php,v 1.1.2.1.2.1 2006/12/16 14:10:30 nobunobu Exp $
 * @copyright Copyright 2005, 2006 XOOPSCube.org <http://xoopscube.org/> 
 * @license http://www.gnu.org/licenses/gpl.txt GNU GENERAL PUBLIC LICENSE Version 2
 *
 */
    include_once '../mainfile.php';
    include_once './class/dbmanager.php';
    $dbm = new db_manager;
    if(! $dbm->createDB()){
        $wizard->setContent('<p>'._INSTALL_L31.'</p>');
        $wizard->setNext(array('checkDB', _INSTALL_L104));
        $wizard->setBack(array('start', _INSTALL_L103));
    } else {
        $wizard->setContent('<p>'.sprintf(_INSTALL_L43, XOOPS_DB_NAME).'</p>');
    }
    $wizard->render();
?>
